Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.charts.base
Class JRBasePieSeries

    java.lang.Object
      net.sf.jasperreports.charts.base.JRBasePieSeries

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, JRPieSeries, JRCloneable

Direct Known Subclasses:
  JRDesignPieSeries

    public class JRBasePieSeries

extends java.lang.Object
implements JRPieSeries, java.io.Serializable

Version:
  $Id: JRBasePieSeries.java 3938 2010-08-19 14:59:36Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`protected JRExpression` | `keyExpression`
`protected JRExpression` | `labelExpression`
`protected JRHyperlink` | `sectionHyperlink`
`protected JRExpression` | `valueExpression`

Constructor Summary
`protected` | `JRBasePieSeries()`
`` | `JRBasePieSeries(JRPieSeries pieSeries, JRBaseObjectFactory factory)`

Method Summary
`java.lang.Object` | `clone()`
`JRExpression` | `getKeyExpression()`
`JRExpression` | `getLabelExpression()`
`JRHyperlink` | `getSectionHyperlink()` Returns the hyperlink specification for chart sections.
`JRExpression` | `getValueExpression()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### keyExpression

    protected JRExpression keyExpression

### valueExpression

    protected JRExpression valueExpression

### labelExpression

    protected JRExpression labelExpression

### sectionHyperlink

    protected JRHyperlink sectionHyperlink

Constructor Detail

### JRBasePieSeries

    protected JRBasePieSeries()

### JRBasePieSeries

    public JRBasePieSeries(JRPieSeries pieSeries,
                           JRBaseObjectFactory factory)

Method Detail

### getKeyExpression

    public JRExpression getKeyExpression()

  Specified by:
    `getKeyExpression` in interface `JRPieSeries`

### getValueExpression

    public JRExpression getValueExpression()

  Specified by:
    `getValueExpression` in interface `JRPieSeries`

### getLabelExpression

    public JRExpression getLabelExpression()

  Specified by:
    `getLabelExpression` in interface `JRPieSeries`

### getSectionHyperlink

    public JRHyperlink getSectionHyperlink()

  Description copied from interface: `JRPieSeries`
  Returns the hyperlink specification for chart sections.

  The hyperlink will be evaluated for every chart section and an image map will be created for the chart.

  Specified by:
    `getSectionHyperlink` in interface `JRPieSeries`
  Returns:
    hyperlink specification for chart sections

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in interface `JRCloneable`
  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com